# Asterisk Project : Asterisk 13 Application_OSPFinish

Created by wikibot on Aug 08, 2014

# OSPFinish()

### Synopsis

Report OSP entry.

### Description

Report call state.

Input variables:

- `OSPINHANDLE` - The inbound call OSP transaction handle.
- `OSPOUTHANDLE` - The outbound call OSP transaction handle.
- `OSPAUTHSTATUS` - The OSPAuth status.
- `OSPLOOKUPSTATUS` - The OSPLookup status.
- `OSPNEXTSTATUS` - The OSPNext status.
- `OSPINAUDIOQOS` - The inbound call leg audio QoS string.
- `OSPOUTAUDIOQOS` - The outbound call leg audio QoS string.
  This application sets the following channel variable upon completion:

- `OSPFINISHSTATUS` - The status of the OSPFinish attempt as a text string, one of
  - SUCCESS
  - FAILED
  - ERROR

### Syntax

    OSPFinish([cause,[options]])

##### Arguments

- `cause` - Hangup cause.
- `options` - Reserved.

### See Also

- Asterisk 13 Application_OSPAuth
- Asterisk 13 Application_OSPLookup
- Asterisk 13 Application_OSPNext

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538